POST api/digitalsignature/signable/completed/{fingerprint}

creates an event when a document is completed Processes this digital signature API request. The parameter and response sections describe the data exchanged with the API.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
fingerprint

The fingerprint value supplied with the request.

string

Required

Body Parameters

The signable complete rezi meta data data contract supplied with the request.

SignableCompleteReziMetaDataDataContract
NameDescriptionTypeAdditional information
envelope_documents

The envelope documents value.

string

None.

envelope_download

The envelope download value.

string

None.

documentSubTypeSystemName

The document sub type system name value.

string

None.

subject

The subject value.

string

None.

agencyId

The unique identifier of the related agency resource.

integer

None.

branchId

The unique identifier of the related branch resource.

integer

None.

brandId

The unique identifier of the related brand resource.

integer

None.

negotiatorId

The unique identifier of the related negotiator resource.

integer

None.

ownsRoleId

The unique identifier of the related owns role resource.

integer

None.

groupRoleIds

The unique identifiers of the related group role resources.

Collection of integer

None.

propertyRoleIds

The unique identifiers of the related property role resources.

Collection of integer

None.

documentLevelMetaData

The collection of document level meta data.

Dictionary of string [key] and PostDocGenerationHandlerDataContract [value]

None.

Request Formats

application/x-www-form-urlencoded

Sample:

Sample not available.

application/json, text/json

Sample:
{
  "envelope_documents": "sample string 1",
  "envelope_download": "sample string 2",
  "documentSubTypeSystemName": "sample string 3",
  "subject": "sample string 4",
  "agencyId": 5,
  "branchId": 6,
  "brandId": 7,
  "negotiatorId": 8,
  "ownsRoleId": 9,
  "groupRoleIds": [
    1,
    2
  ],
  "propertyRoleIds": [
    1,
    2
  ],
  "documentLevelMetaData": {
    "sample string 1": {
      "EntityType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "EntityId": 1,
      "JobHandlerType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "Options": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "DocumentSubType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "AccountingSystemId": 2,
      "AgencyId": 3,
      "JobHandlerName": "sample string 4"
    },
    "sample string 2": {
      "EntityType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "EntityId": 1,
      "JobHandlerType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "Options": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "DocumentSubType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "AccountingSystemId": 2,
      "AgencyId": 3,
      "JobHandlerName": "sample string 4"
    }
  }
}

Response Information

Resource Description

The response returned after the operation completes.

JobInvocationDetailsDataContract
NameDescriptionTypeAdditional information
SupportsCancellation

Indicates whether supports cancellation is true.

boolean

None.

ReportsProgress

Indicates whether reports progress is true.

boolean

None.

InitialStatusText

The initial status text value.

string

None.

JobReference

The job reference globally unique identifier.

globally unique identifier

None.

Success

Indicates whether success is true.

boolean

None.

Response Formats

application/json, text/json

Sample:
{
  "SupportsCancellation": true,
  "ReportsProgress": true,
  "InitialStatusText": "sample string 3",
  "JobReference": "6ca66b06-e85d-456a-a6c1-26c5d4e58947",
  "Success": true
}